﻿* {
    margin: 0;
    padding: 0;
}

body {
    background-color: #000000;
    color: #ffffff;
}

.left {
    width: 25vw;
    padding: 10px;

}

.right {
    width: 75vw;

}

.home ul li {
    display: flex;
    gap: 15px;
    width: 14px;
    list-style: none;
    padding-top: 14px;
    font-weight: bold;
    cursor: pointer;
}

.logo {
    cursor: pointer;
}

.library {
    min-height: 80vh;
    position: relative;

}

.heading {
    cursor: pointer;
    display: flex;
    gap: 15px;
    width: 100%;
    padding-top: 14px;
    list-style: none;
    align-items: center;
    padding-top: 14px;
    font-weight: bold;
    padding: 23px 14px;
    font-size: 10px;
}

.home .logo b {
    margin-left: 10px;
    cursor: pointer;

}

.heading img {
    width: 15px;
    margin-left: -15px;
}

.footer {
    display: flex;
    gap: 7px;
    color: grey;
    padding-top: 14px;
    list-style: none;
    font-size: 14px;
    padding-left: 14px;
    position: absolute;
    bottom: 10px;
    width: 20vw;
}

.footer a {
    color: grey;
    cursor: pointer;
}

.header {
    display: flex;
    justify-content: space-between;
    background-color: rgb(34, 34, 34);
}

.header>* {
    padding: 10px;
}

.header svg {
    margin-top: 12px;
    margin-left: 10px;
}

.right {
    margin: 16px 0px;
}

.spotify-playlists {
    padding: 18px;
    height: 83vh;
}

.cardcontainer {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
    margin: 30px;
    cursor: pointer;
    overflow-y: auto;
    max-height: 70vh;
}

.card {
    width: 190px;
    padding: 10px;
    border-radius: 5px;


}

.text-title {
    font-size: 18px;
    font-weight: bold;
    margin-top: 10px;
    padding-top: 1px
}

.card p {
    font-size: 14px;
    color: grey;
    margin-top: 5px;
    padding-top: 1px
}

.card>* {
    padding-top: 10px
}

.card img {
    width: 90%;
    object-fit: contain;

}

.play-btn {
    position: relative;
    align-items: right;
    justify-content: right;
    opacity: 0;
    text-align: right;
    transition: all 1s ease-out;
}

.play {
    width: 40px;
    position: absolute;
    right: 17px;
    bottom: 15px;
    transition: all 1s ease-in-out;
}

.maincontainer .card:hover {
    background-color: #252525;
}

.maincontainer .card:hover .play-btn {
    opacity: 1;
}

.buttons>* {
    margin: 0 12px;
}

.sinupbtn {
    background-color: rgb(34, 34, 34);
    color: rgb(156, 148, 148);
    font-weight: bold;
    border: none;
    outline: none;
    cursor: pointer;
    font-size: 16px;
}

.sinupbtn:hover {
    font-size: 17px;
    color: white;
}

.loginbtn {
    background-color: White;
    border-radius: 21px;
    color: black;
    padding: 10px;
    width: 79px;
    cursor: pointer;
    font-size: 16px;
}

.loginbtn:hover {
    font-weight: bold;
    font-size: 17px;
}
.spotify-playlists{
    position: relative;
   
}
.playbar{
    position: absolute;
    bottom: 0px;
    background: green;
    width: 100%;
}

.songbtn img {
    width:28px;
}
.songbtn{
    display: flex;
    justify-content: center;
    gap: 16px;
}